
Katello - Feature #24173

API actions for System Purpose on Bulk Hosts

07/05/2018 11:47 PM - Jonathon Turel

Status: New   

Priority: Normal   

Assignee:    

Category: API   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As an API User I can set the system purpose attributes of many hosts at once so that

I can quickly bring my systems to a state where auto-attach will find the best

subscriptions

Acceptance Criteria

system purpose attributes can be set for many hosts

system purpose attributes can be set to nil values (they are not required)

API input is consistent with existing bulk actions

History

#1 - 07/05/2018 11:48 PM - Jonathon Turel

- Blocked by Feature #24075: System Purpose P1, P2 added

#2 - 07/06/2018 12:28 AM - Jonathon Turel

- Blocked by deleted (Feature #24075: System Purpose P1, P2)

#3 - 07/06/2018 12:29 AM - Jonathon Turel

- Blocks Feature #24075: System Purpose P1, P2 added

#4 - 07/18/2018 04:51 PM - Jonathon Turel

- Target version set to Katello 3.9.0

#5 - 07/18/2018 06:32 PM - Jonathon Turel

- Triaged changed from No to Yes

#6 - 10/10/2018 05:12 PM - Jonathon Turel

- Blocks deleted (Feature #24075: System Purpose P1, P2)

#7 - 10/10/2018 05:12 PM - Jonathon Turel

- Target version changed from Katello 3.9.0 to Katello Backlog
